<div class="modal-truevo-payment">
    <div id="truevo_form_container"></div>
    <form action="<?php echo $url_user_on_success; ?>" name="transaction_complete" method="post" style="display:none;">
        <input type="hidden" name="truevo-order-values" id="truevo-order-values" value=""/>
        <input type="hidden" name="truevo-order-flag" id="truevo-order-flag" value=""/>
        <input type="hidde" name="security" value="<?php echo wp_create_nonce('truevo-security-nonce'); ?>"/>
    </form>
    <div class="clear"></div>
    <a class="button cancel" href="<?php echo esc_url($order->get_cancel_order_url()); ?>">
        <?php echo __('Cancel order &amp; restore cart', 'truevo-gateway-woocommerce'); ?>
    </a>
</div>

<script type="text/javascript">
    var $ = jQuery;
    jQuery(function ($) {

        var configuration = <?php echo $configuration; ?>;

        TruevoCheckout.initialize(configuration);

        const truevoCheckout = TruevoCheckout.mount('#truevo_form_container');

        truevoCheckout.addEventListener('payButtonClicked', res => {
            /* Pay Button Clicked event */
            $(".modal-truevo-payment-toggle").addClass('active');
            $("a.truevo-payment-close").addClass('active');
        });

        truevoCheckout.addEventListener('loadCompleted', res => {
            console.log('======== Payment Widget Loaded ==========');
        });

        truevoCheckout.addEventListener('loadFailed', res => {
            console.log('======== Payment Widget Failed To Load ==========');
        });

        truevoCheckout.addEventListener('transactionCompleted', res => {

            var response = res.detail;

            $("#truevo-order-flag").val(response.status);
            $("#truevo-order-values").val(JSON.stringify(response.transactionInfo));

            setTimeout(function () {
                $('form[name="transaction_complete"]').submit();
            }, 1500);
        });

        truevoCheckout.addEventListener('transactionDeclined', res => {
            var response = res.detail;

            $("#truevo-order-flag").val(response.status);
            $("#truevo-order-values").val(JSON.stringify(response.transactionInfo));

            setTimeout(function () {
                $('form[name="transaction_complete"]').submit();
            }, 1500);
        });

        truevoCheckout.addEventListener('transactionFailed', res => {
            var response = res.detail;

            $("#truevo-order-flag").val(response.status);
            $("#truevo-order-values").val(JSON.stringify(response.transactionInfo));

            setTimeout(function () {
                $('form[name="transaction_complete"]').submit();
            }, 1500);
        });
    });

</script>
